Class | REXML::Output
In: | rexml/output.rb
Parent: | Object

### Methods

<< new to_s

### Included Modules

Encoding

### Attributes

encoding | [R] |

### Public Class methods

new(real_IO, encd="iso-8859-1")

[Source]

    # File rexml/output.rb, line 9
                    def initialize real_IO, encd="iso-8859-1"
                            @output = real_IO
                            self.encoding = encd

                            @to_utf = encd == UTF_8 ? false : true
                    end

### Public Instance methods

<<( content )

[Source]

    # File rexml/output.rb, line 16
                    def <<( content )
                            @output << (@to_utf ? self.encode(content) : content)
                    end

to_s()

[Source]

    # File rexml/output.rb, line 20
        def to_s
          "Output[#{encoding}]"
        end

[Validate]